/*
 * pFlashDemo.h
 *
 *  Created on: 26  2019 .
 *      Author: 037512
 */

#ifndef APPSW_TRICORE_FLASH_DEMO_PFLASHDEMO_H_
#define APPSW_TRICORE_FLASH_DEMO_PFLASHDEMO_H_

#include <Ifx_Types.h>
#include "IfxFlash.h"

/** \brief P Flash global data */
typedef struct
{
/** \brief Function pointers of Erase & program routines which are relocated to different memory (PSPR).
 *  The function pointers are used to execute the relocated routines
 */
    struct
    {
        char*(*runDemo)(void);
    } command;

    uint32             sector;        /**< \brief Flash sector to be erased & programmed */
    uint32             startPage;     /**< \brief Page from which programming starts */
    uint32             numberOfPages; /**< \brief No of pages to be programmed */
    IfxFlash_FlashType flashType;     /**< \brief Flash type ussed for the erase/program */
} App_Pflash;


App_Pflash* createProgramFlashDemo();

#endif /* APPSW_TRICORE_FLASH_DEMO_PFLASHDEMO_H_ */
