/**
 * \file IfxPmu_bf.h
 * \brief
 * \copyright Copyright (c) 2016 Infineon Technologies AG. All rights reserved.
 *
 * Version: TC29XB_UM_V1.3.R0
 * Specification: tc29xB_um_v1.3_MCSFR.xml (Revision: UM_V1.3)
 * MAY BE CHANGED BY USER [yes/no]: No
 *
 *                                 IMPORTANT NOTICE
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * \defgroup IfxLld_Pmu_BitfieldsMask Bitfields mask and offset
 * \ingroup IfxLld_Pmu
 * 
 */
#ifndef IFXPMU_BF_H
#define IFXPMU_BF_H 1
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_Pmu_BitfieldsMask
 * \{  */

/** \brief  Length for Ifx_PMU_ID_Bits.MOD_REV */
#define IFX_PMU_ID_MOD_REV_LEN (8u)

/** \brief  Mask for Ifx_PMU_ID_Bits.MOD_REV */
#define IFX_PMU_ID_MOD_REV_MSK (0xffu)

/** \brief  Offset for Ifx_PMU_ID_Bits.MOD_REV */
#define IFX_PMU_ID_MOD_REV_OFF (0u)

/** \brief  Length for Ifx_PMU_ID_Bits.MOD_TYPE */
#define IFX_PMU_ID_MOD_TYPE_LEN (8u)

/** \brief  Mask for Ifx_PMU_ID_Bits.MOD_TYPE */
#define IFX_PMU_ID_MOD_TYPE_MSK (0xffu)

/** \brief  Offset for Ifx_PMU_ID_Bits.MOD_TYPE */
#define IFX_PMU_ID_MOD_TYPE_OFF (8u)

/** \brief  Length for Ifx_PMU_ID_Bits.MODNUMBER */
#define IFX_PMU_ID_MODNUMBER_LEN (16u)

/** \brief  Mask for Ifx_PMU_ID_Bits.MODNUMBER */
#define IFX_PMU_ID_MODNUMBER_MSK (0xffffu)

/** \brief  Offset for Ifx_PMU_ID_Bits.MODNUMBER */
#define IFX_PMU_ID_MODNUMBER_OFF (16u)
/** \}  */
/******************************************************************************/
/******************************************************************************/
#endif /* IFXPMU_BF_H */
