/* ###*B*###
 * Erika Enterprise, version 3
 * 
 * Copyright (C) 2017 - 2019 Evidence s.r.l.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License, version 2, for more details.
 * 
 * You should have received a copy of the GNU General Public License,
 * version 2, along with this program; if not, see
 * <www.gnu.org/licenses/old-licenses/gpl-2.0.html >.
 * 
 * This program is distributed to you subject to the following
 * clarifications and special exceptions to the GNU General Public
 * License, version 2.
 * 
 * THIRD PARTIES' MATERIALS
 * 
 * Certain materials included in this library are provided by third
 * parties under licenses other than the GNU General Public License. You
 * may only use, copy, link to, modify and redistribute this library
 * following the terms of license indicated below for third parties'
 * materials.
 * 
 * In case you make modified versions of this library which still include
 * said third parties' materials, you are obligated to grant this special
 * exception.
 * 
 * The complete list of Third party materials allowed with ERIKA
 * Enterprise version 3, together with the terms and conditions of each
 * license, is present in the file THIRDPARTY.TXT in the root of the
 * project.
 * ###*E*### */

/** \file	code.cpp
 *  \brief	Main application.
 *
 *  This file contains the code of main application for Erika Enterprise.
 *
 *  \author	Errico Guidieri
 *  \date  	2017
 */

/* ERIKA Enterprise. */
#include "ee.h"
#include "ee_tc2x5_board.h"
#include "pFlashDemo.h"

OsEE_bool volatile stk_wrong = OSEE_FALSE;
unsigned int volatile isr_cnt;
OsEE_addr volatile old_sp;
App_Pflash* flash;
/* TASKs */
DeclareTask(Task1);

/* Idle Hook */
extern void idle_hook(void);

#define OSEE_BREAK_POINT()                        \
  while ( 1 ) {                                   \
    __asm__ volatile ("debug\n\t" : : : "memory");\
  }


void idle_hook ( void ) {

}

int main(void)
{
  osEE_tc2x5_leds_init();

  flash = createProgramFlashDemo();

  StartOS(OSDEFAULTAPPMODE);

  return 0;
}

/*
 * TASK 1
 */
TASK(Task1)
{
  static enum OsEE_tc2x5_led_status stat = OSEE_TRIBOARD_2X5_LED_OFF;

  if ( stat == OSEE_TRIBOARD_2X5_LED_OFF ) {
    stat = OSEE_TRIBOARD_2X5_LED_ON;
  }
  else {
    stat = OSEE_TRIBOARD_2X5_LED_OFF;
  }
  osEE_tc2x5_turn_led(OSEE_TRIBOARD_2X5_LED_3, stat);

  flash->command.runDemo();

  TerminateTask();
}



